package org.j000.explorer.myapplication;

import android.app.Activity;
import android.content.res.AssetManager;
import android.os.Bundle;
import android.widget.TextView;

import java.io.IOException;

public class MainActivity extends Activity {

	TextView t1;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		t1 = findViewById(R.id.t1);

		try {
			String res = list(new StringBuilder(),"", getAssets(), "").toString();
			t1.setText(res);
		} catch (IOException e) {
			e.printStackTrace();
			t1.setText(e.toString());
		}
	}

	StringBuilder list(StringBuilder sb, String path, AssetManager assetManager, String indent) throws IOException {
		String[] files = assetManager.list(path);
		for (String file : files) {
			String childPath = "";
			if (path.isEmpty()) {
				childPath = file;
			} else {
				childPath = path + "/" + file;
			}
			sb.append(indent).append(file).append("\n");
			list(sb, childPath, assetManager, indent+"    ");
		}
		return sb;
	}
}